classification
Title: email module docs say not compatible with current python version
Type: Stage: resolved
Components: Documentation, email Versions: Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jim.Jewett, barry, docs@python, linaclark, python-dev, r.david.murray
Priority: normal Keywords: easy, patch

Created on 2014-03-18 21:08 by Jim.Jewett, last changed 2014-09-27 19:07 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
email.patch linaclark, 2014-03-19 01:33 patch for email table in Python 3.4 review
Messages (7)
msg214018 - (view) Author: Jim Jewett (Jim.Jewett) (Python triager) Date: 2014-03-18 21:08
http://docs.python.org/3.4/library/email.html#package-history

The table ends with email version 5.1, distributed with Python 3.2, and compatible with Python 3.0 to 3.2.

Since Python 3.3 and 3.4 also distribute 5.1.0, I'm betting that the actual compatibility is at least 3.0-3.4.  (Currently, it is also used on the 3.5 tip, but I suppose we don't want to guarantee that yet.)
msg214044 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-03-19 01:27
That table is actually correct as it stands.  Post 5.1 I pretty much stopped tracking the email version independently of the python version.  So most likely the 3.3 python isn't compatible with 3.2, and the same for 3.4 and 3.3.  

Let's get Barry's agreement that that is OK, and I'll add a note to the docs to that effect.  If he wants separate version numbers I can increment it in 3.4, but it is probably too late for 3.3.  If we can drop the independent version, then we have to decide if we want to deprecate the __version__ string or just remove it.
msg214045 - (view) Author: Lina Clark (linaclark) * Date: 2014-03-19 01:33
I'm submitting a patch for review to show the updated table of email versions. If this is accepted, I'll update the docs for 2.7 as well.
msg217379 - (view) Author: Jim Jewett (Jim.Jewett) (Python triager) Date: 2014-04-28 15:14
I don't know for sure if the compatibility claims are correct, but the patch looks good.
msg217610 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-04-30 12:31
Like I said, the compatibility claims are almost certainly incorrect.
msg227713 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-27 19:03
New changeset 2eea52c287b7 by R David Murray in branch '3.4':
#20974: Update version table in email intro.
https://hg.python.org/cpython/rev/2eea52c287b7

New changeset 655b34cd8871 by R David Murray in branch 'default':
Merge: #20974: Update version table in email intro.
https://hg.python.org/cpython/rev/655b34cd8871
msg227714 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-09-27 19:07
I've updated the table (thanks for the patch) but noted that after 5.1/3.2 there is no independent email version.  I'd like to just delete __version__ in 3.5, but I don't know if I have to deprecate the constant first :)  It didn't get updated in 3.3 or 3.4, so it isn't *accurate* in any case.
History
Date User Action Args
2014-09-27 19:07:24r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg227714

stage: commit review -> resolved
2014-09-27 19:03:12python-devsetnosy: + python-dev
messages: + msg227713
2014-04-30 12:31:38r.david.murraysetmessages: + msg217610
2014-04-28 15:14:44Jim.Jewettsetmessages: + msg217379
stage: commit review
2014-03-19 01:33:31linaclarksetfiles: + email.patch

nosy: + linaclark
messages: + msg214045

keywords: + patch
2014-03-19 01:27:56r.david.murraysetmessages: + msg214044
2014-03-18 21:08:30Jim.Jewettcreate